package com.mom.jcrperf.jackrabbit;

import java.util.List;

import com.mom.jcrperf.AbstractTestRunner;

/**
 * Jackrabbit-specific TestRunner which accepts a "-r" argument specifying the location of the repository
 * directory
 * @author duncan
 *
 */
public abstract class JackrabbitTestRunner extends AbstractTestRunner {
	
	protected String repositoryDir = null;

	public boolean extractArguments(List<String> args) throws ArgumentException {
		
		if(!super.extractArguments(args)) {
			return false;
		}
		
		// Extract the location of the repository configuration directory
		int i=0;
		while(i < args.size()) {
			String arg = args.get(i);
			
			if("-r".equals(arg)) {
				args.remove(i);
				if(i>= args.size()) {
					throw new ArgumentException("Location of repository configuration expected after -r");
				}
				repositoryDir = args.get(i);
				args.remove(i);
				continue;
			}
			
			i++;
		}
		
		return true;
	}
}
