package com.mom.jcrperf;

import java.util.List;


public class TestRunner extends AbstractTestRunner {

	
	TestableRepository testable;
	
	/**
	 * Location of the configuration files
	 * We should find here a Modeshape configuration file and a copy of the custom MoM nodetypes
	 */
	protected String configurationDir = null;

	
	public static void main(String[] argv) throws Exception {
		
		TestRunner runner = new TestRunner();
		
		runner.run(argv);
	}
	
	/**
	 * Get the configured testable repository
	 */
	@Override
	public TestableRepository getTestableRepository() {
		if(testable == null) {
			testable = new TestableRepository();
		}
		
		return testable;
	}
	
	public void usage() {
		super.usage();
		usage("-r <configDir>",   "Set the location of the configuration directory");
	}
	
	
	public boolean extractArguments(List<String> args) throws ArgumentException {
		
		if(!super.extractArguments(args)) {
			return false;
		}
		
		// Extract the location of the configuration directory
		int i=0;
		while(i < args.size()) {
			String arg = args.get(i);
			
			if("-r".equals(arg)) {
				args.remove(i);
				if(i>= args.size()) {
					throw new ArgumentException("Location of configuration files expected after -r");
				}
				getTestableRepository().setConfigurationDir(args.get(i));
				args.remove(i);
				continue;
			}

			
			i++;
		}
		
		return true;
	}
}
